<?php
session_start();
include "verifica.php";
include "validaciones.php";

@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$prs = new Presentaciones;

switch($xaccion){
	
	case "adicionar": 
		if($prs->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Presentaci�n creada satisfactoriamente.")
			parent.location.href="../presentaciones.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($prs->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Presentaci�n modificada satisfactoriamente.")
			parent.location.href="../presentaciones.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($vali->presentaciones($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{
		
			if($prs->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Presentaci�n eliminada satisfactoriamente.")
				parent.location.href="../presentaciones.php";
				</script>			
				<?php
				
			}
		}			
		break;

	case "activar":
		if($prs->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Presentaciones{

	//Adiciona registro
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"insert into presentacion (prs_nombre, 
												  prs_abreviatura,
												  prs_usu_crea)
										values ('$xnombres', 
												'$xabreviatura',
												'$xusuario_sesion');");
		
		if($r){		
			return 1;
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: LA PRESENTACION YA EXISTE EN LOS REGISTROS.");
			</script>
			<?php				
		}	
				
	}	

	//Modifica registro
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update presentacion set prs_nombre = '$xnombres', 
												  prs_abreviatura = '$xabreviatura',
												  prs_usu_modifica = '$xusuario_sesion'
										where prs_codi = $xid;");
		
		if($r){		
			return 1;
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: LA UNIDAD DE MEDIDA YA EXISTE EN LOS REGISTROS.");
			</script>
			<?php										
		}	
	
	}	
	

	//Elimina registro
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from presentacion where prs_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa registro
	function activar($conexion){
		global $xestado, $xaccion, $xid;		

		$r = mysqli_query($conexion,"update presentacion set prs_estado = '$xestado',
															 prs_usu_activa	= '$xusuario_sesion'
														where prs_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
